/*
Scrivere una funzione 
void minmax(int a[], int len, int *min, int *max)
che, dato un array a e la sua lunghezza len, scrive il valore del 
massimo e del minimo elemento di a nelle celle puntate da min e max.
Scrivere un programma che utilizzi rand() per la generazione di un 
array di 10 elementi interi casuali in [0,100] e provare le funzione 
stampando il valore del minimo e il suo indirizzo.
*/

#include <stdio.h>
#include <time.h>
#define N 10

void minmax(int a[], int len, int *min, int *max)
{
	*min = a[0];
	*max = a[0];
	int i;
	for(i=0; i<len; i++)
	{
		if (a[i] < *min) *min = a[i];
		if (a[i] > *max) *max = a[i];
	}
}

int main()
{
	/* inizializzazione del generatore di numeri pseudo-casuali */
	srand(time(NULL));
	
	int a[N];
	int i, min, max;
	for(i=0; i<N; i++){
		a[i] = rand()%101;
		printf("A[%d]=%d\n", i, a[i]);
	}

	minmax(a, N, &min, &max);
	
	printf("Il massimo è %d, il minimo è %d\n", max, min);
		
	return 0;
}